=== modified file 'lib/lp/registry/browser/distributionsourcepackage.py'
--- lib/lp/registry/browser/distributionsourcepackage.py	2011-08-03 04:49:15 +0000
+++ lib/lp/registry/browser/distributionsourcepackage.py	2011-08-03 12:29:09 +0000
@@ -337,10 +337,11 @@
         super(DistributionSourcePackageView, self).initialize()
         expose_structural_subscription_data_to_js(
             self.context, self.request, self.user)
-        IJSONRequestCache(self.request).objects['archive_context_url'] = (
-            canonical_url(
-                self.context.latest_overall_publication.archive,
-                path_only_if_possible=True))
+
+        pub = self.context.latest_overall_publication
+        if pub:
+            IJSONRequestCache(self.request).objects['archive_context_url'] = (
+                canonical_url(pub.archive, path_only_if_possible=True))
 
     @property
     def label(self):

